• Register

Problem pri zagonu jupyter notebook preko power shell

0 votes
107 views

V mapi z domačo nalogo sem zagnal powershell in vtipkal ukaz jupyter notebook. Nato mi je powershell javil naslednjo napako:

Traceback (most recent call last):
  File "C:\Users\aljaz\anaconda3\lib\site-packages\notebook\services\sessions\sessionmanager.py", line 9, in <module>
    import sqlite3
  File "C:\Users\aljaz\anaconda3\lib\sqlite3\__init__.py", line 57, in <module>
    from sqlite3.dbapi2 import *
  File "C:\Users\aljaz\anaconda3\lib\sqlite3\dbapi2.py", line 27, in <module>
    from _sqlite3 import *
ImportError: DLL load failed while importing _sqlite3: The specified module could not be found.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\aljaz\anaconda3\Scripts\jupyter-notebook-script.py", line 6, in <module>
    from notebook.notebookapp import main
  File "C:\Users\aljaz\anaconda3\lib\site-packages\notebook\notebookapp.py", line 83, in <module>
    from .services.sessions.sessionmanager import SessionManager
  File "C:\Users\aljaz\anaconda3\lib\site-packages\notebook\services\sessions\sessionmanager.py", line 12, in <module>
    from pysqlite2 import dbapi2 as sqlite3
ModuleNotFoundError: No module named 'pysqlite2'
PS C:\Users\aljaz\faks kar ni na drive\numerične naloge DN\Luznar_Aljaž_Spoznavanje_sistema_py_Tue_04_10_22_18-33-58>

Poizkusil sem izbrisati anacondo in jo nazaj naložiti pa ni pomagalo. Prav tako sem anacondo dodal v PATH.  Če pa poizkusim zagnati jupyter notebook preko anaconda prompt mi vse deluje normalno.

Hvala za odgovor in lep pozdrav.

asked Oct 9, 2022 by aljazluznar (120 points)

1 Answer

0 votes

Izgleda, da gre za specifično težavo, povezano z namestitvijo programske opreme na vašem sistemu. Morda vam pri reševanju pomaga tale odgovor na StackOverflow.

Sicer pa, če vam uspe jupyter notebook zagnati na drug način (Anaconda prompt), tudi v tem ne vidim težave.

answered Oct 10, 2022 by dgorjup (74,760 points)
...